Luma3DS - Noob-proof 3DS Custom Firmware

Discussion in '3DS - Flashcards & Custom Firmwares' started by Aurora Wright, Jan 19, 2016.

Thread Status:
Not open for further replies.
  1. moghedien

    moghedien GBAtemp Fan

    Member
    3
    Mar 9, 2015
    United States
    Just so you (and the million other people reporting this bug in this thread) know, "Luma Updater" is made by someone else that isn't involved in Luma3DS. You should probably report that bug to them: https://github.com/Hamcha/lumaupdate/issues

    As for NTR not working, you just need to use a version that's compatible with 11.0, like this one: https://github.com/astronautlevel2/BootNTR/releases
     
  2. hibachib

    hibachib Member

    Newcomer
    2
    May 25, 2016
    United States
    Tried latest version of Starupdater to upgrade from 6.1 to 6.1.1, and it failed. The Luma3DS config screen that appeared upon reboot gave the version as "6.1-c711ed6" and refused to load the system after saving the configuration. Reinstated the 6.1 version of arm9loaderhax.bin and tried again, same results.

    However copying the 6.1.1 release's arm9loaderhax.bin file directly from the Github .rar file and placing it in the SD card directly did work properly.
     
    Last edited by hibachib, Aug 27, 2016
  3. Elaugaufein

    Elaugaufein GBAtemp Regular

    Member
    3
    Jan 26, 2010
    Not sure if this is the right place or if I should be mentioning it in the FBI thread.

    FBI.3dsx doesn't work on a9lh Firm 11.0 Luma when launched from HBLauncher via Browser hax. It says it can't get service access. Is this a missing restored backdoor ? Or is this something unpatchable.

    (I realize this isn't a huge deal since it's possible to do the H&S inject to boot strap but being able to bootstrap from browser would be a little more convenient if possible).
     
  4. Ramzh

    Ramzh I am a living meme

    Member
    2
    Nov 29, 2014
    31 32 37 2E 30 2E 30 2E 31
    Okay I have been locked out by my own N3DS...
    I have a PIN in my 3DS however now that I just updated to Luma 6.1.1 (hourly) I cannot login anymore even if I put the right combo of buttons... (it just hangs on there showing me the combo and that's it)
    Any help woulf be appreciated :P
     
  5. VioletX

    VioletX GBAtemp Regular

    Member
    2
    Jun 8, 2016
    Try to go back to your previous luma build/version and see if that works
     
  6. Ramzh

    Ramzh I am a living meme

    Member
    2
    Nov 29, 2014
    31 32 37 2E 30 2E 30 2E 31
    Yep worked! Thanks! I wonder why I cannot update with a PIN but have to remove it first and then re-add it again
    EDIT: I think the PIN function is broken somehow now, I cannot use a PIN of 4 buttons anymore but use the maximum number otherwise the 3DS does not register it.
     
    Last edited by Ramzh, Aug 27, 2016
  7. KunoichiZ

    KunoichiZ GBAtemp Guru

    Member
    14
    Mar 16, 2012
    United States
    Just inject FBI into H&S. It's pretty useless to launch FBI from the Homebrew Launcher.
     
  8. Elaugaufein

    Elaugaufein GBAtemp Regular

    Member
    3
    Jan 26, 2010
    Not if you're using it to install the FBI.cia. The inject method requires restarting into Hourglass9 , dumping to SD, getting the card out, putting it in the PC , creating the injectable app, putting the card back in, injecting FBI and then using FBI to install FBI.cia . After which you need to go back and re-inject the original H&S (and possibly clear the icon cache to fix the home menu graphics). The HB Launcher method is much simpler -> Browser Hax -> FBI -> Install FBI.cia , done.
     
  9. nooby89

    nooby89 A normal member with a stupid alias

    Member
    4
    Aug 18, 2015
    Canada
    I need your help right now, I downloaded Luma3DS v6.1.1 latest hourly builds but my 3DS crash with an error, here is the error :
    Code:
    Processor: ARM11 (core1)
    Exception type: data abort
    Current process: loader
    
    R0 00000000                   R1 FFF2C5444
    R2 001044B4                   R3 00000000
    R4 10000000                   R5 10000000
    R6 00104468                   R7 0FFFFED8
    R8 1FF83000                   R9 00103000
    R10 1FF83000                 R11 00000000
    LR 001016A0                   SP 0FFFFE38
    CPSR 60000010              PC 001016A0
    FPEXC 00000000
    And don't say please «choose non-dev version». :teach:
    Too, my «twlBg.cxi» need to be on the folder sysmodules on the 6.1.1 ? :rolleyes:
    Or just in the «luma» folder, because I've heard that.
     
  10. SirBeethoven

    SirBeethoven Do good, be good. Let's fight injustice together.

    Member
    7
    Nov 26, 2015
    United Kingdom
    This new update is way slower:
    9.98 with original
    11.41 with new :/
     
  11. Ramzh

    Ramzh I am a living meme

    Member
    2
    Nov 29, 2014
    31 32 37 2E 30 2E 30 2E 31
    For me is only 8 seconds
     
  12. Sasori

    Sasori GBAtemp Addict

    Member
    10
    Jan 28, 2015
    United States
    Last edited by Sasori, Aug 27, 2016
    nooby89 likes this.
  13. Ramzh

    Ramzh I am a living meme

    Member
    2
    Nov 29, 2014
    31 32 37 2E 30 2E 30 2E 31
    I used star without problem :/. Kinda weird
     
  14. Sasori

    Sasori GBAtemp Addict

    Member
    10
    Jan 28, 2015
    United States
    Did you use it with the 6.1.1 update? This is a recent bug
     
  15. SirBeethoven

    SirBeethoven Do good, be good. Let's fight injustice together.

    Member
    7
    Nov 26, 2015
    United Kingdom
    I used Hamchas version.

    Still can't believe the new build is actually SLOWER
     
  16. nooby89

    nooby89 A normal member with a stupid alias

    Member
    4
    Aug 18, 2015
    Canada
    I can,t boot NitroHax with latest eversion. :#
    I have the dev version on my twlBg.cxi is on the sysmodules folder.
     
  17. Sasori

    Sasori GBAtemp Addict

    Member
    10
    Jan 28, 2015
    United States
    I just launched it fine. Check your cxi file.

    Im on the normal release if that makes a difference :)
     
  18. Ramzh

    Ramzh I am a living meme

    Member
    2
    Nov 29, 2014
    31 32 37 2E 30 2E 30 2E 31
    Yes I did. The only bug I found are these:

     
  19. astronautlevel

    astronautlevel GBAtemp Psycho!

    Member
    15
    Jan 26, 2016
    United States
    Maryland
    It isnt

    Also, re: starupdater problems, it seems like my ctrulib installation was out of date on my build server, updating seems to have fixed it. Though gh-pages seems broken and isn't updating with the new builds, and until it does starupdater won't work.

    I've stopped officially supporting starupdater, anyway - switch to hamcha's app.
     
  20. SirBeethoven

    SirBeethoven Do good, be good. Let's fight injustice together.

    Member
    7
    Nov 26, 2015
    United Kingdom
    Hmm... Maybe I'll video it. I'm stopping the timer when I see the homemenu show
     
Loading...
Thread Status:
Not open for further replies.